## org.biojava.utils
Class MergingSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              org.biojava.utils.MergingSet

All Implemented Interfaces:
  Iterable, Collection, Set

    public class MergingSet

extends AbstractSet

Author:
  Matthew Pocock

Constructor Summary
`MergingSet()`
`MergingSet(Set sets)`

Method Summary
`boolean` `add(Object o)`
`void` `addSet(Set set)`
`boolean` `contains(Object o)`
`Set` `getModifiable()`
`Iterator` `iterator()`
`static MergingSet` `merge(Set first, Set seccond)`
`static MergingSet` `modifiableMerge()`
`static MergingSet` `modifiableMerge(Set original)`
`boolean` `remove(Object o)`
`boolean` `removeSet(Set set)`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, clear, containsAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, containsAll, isEmpty, retainAll, toArray, toArray`

Constructor Detail

### MergingSet

    public MergingSet()

### MergingSet

    public MergingSet(Set sets)

Method Detail

### merge

    public static MergingSet merge(Set first,
                                   Set seccond)

### modifiableMerge

    public static MergingSet modifiableMerge()

### modifiableMerge

    public static MergingSet modifiableMerge(Set original)

### addSet

    public void addSet(Set set)

### removeSet

    public boolean removeSet(Set set)

### getModifiable

    public Set getModifiable()

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `Set`
  Specified by:
    `size` in class `AbstractCollection`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `Set`
  Overrides:
    `contains` in class `AbstractCollection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `Set`
  Specified by:
    `iterator` in class `AbstractCollection`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `Set`
  Overrides:
    `add` in class `AbstractCollection`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `AbstractCollection`